Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.system
Class FileResourceManager

    java.lang.Object
      com.stc.connector.fileadapter.system.FileResourceManager

    public abstract class FileResourceManager

extends java.lang.Object

An File Resource Manager supporting transactions

Constructor Summary
`FileResourceManager()` Resource Manager for the Outbound File Adapter

Method Summary
`void` | `commit(javax.transaction.xa.Xid aXid, boolean aOnePhase)`
`int` | `prepare(javax.transaction.xa.Xid aXid)`
`void` | `registerTransaction(javax.transaction.xa.Xid aXid)` Register the given transaction with the current thread
`void` | `rollback(javax.transaction.xa.Xid aXid)`
`void` | `unregisterTransaction(javax.transaction.xa.Xid aXid)` Unregister the given transaction with the current thread

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileResourceManager

    public FileResourceManager()

  Resource Manager for the Outbound File Adapter

Method Detail

### registerTransaction

    public void registerTransaction(javax.transaction.xa.Xid aXid)
                             throws javax.transaction.xa.XAException

  Register the given transaction with the current thread

  Parameters:
    `aXid` - Xid of the transaction to be registered
  Throws:
    `javax.transaction.xa.XAException`

### unregisterTransaction

    public void unregisterTransaction(javax.transaction.xa.Xid aXid)
                               throws javax.transaction.xa.XAException

  Unregister the given transaction with the current thread

  Parameters:
    `aXid` - Xid of the transaction to be unregistered
  Throws:
    `javax.transaction.xa.XAException`

### prepare

    public int prepare(javax.transaction.xa.Xid aXid)
                throws javax.transaction.xa.XAException

  Throws:
    `javax.transaction.xa.XAException`

### commit

    public void commit(javax.transaction.xa.Xid aXid,
                       boolean aOnePhase)
                throws javax.transaction.xa.XAException

  Throws:
    `javax.transaction.xa.XAException`

### rollback

    public void rollback(javax.transaction.xa.Xid aXid)
                  throws javax.transaction.xa.XAException

  Throws:
    `javax.transaction.xa.XAException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.